{"openapi":"3.0.1","info":{"title":"Musajjel Server API","description":"Musajjel Server API Documentation","contact":{"name":"Customer Support","email":""},"version":"1.0.0"},"servers":[{"url":"https://api.musajjel.com"}],"security":[{"bearer":[]}],"tags":[{"name":"Listener Authentication","description":"API endpoints for listener authentication."},{"name":"Audio Processing","description":"APIs for processing audio files"},{"name":"Admin Authentication","description":"API endpoints for admin authentication."},{"name":"Podcaster Authentication","description":"API endpoints for podcaster authentication."},{"name":"Advertiser Authentication","description":"API endpoints for advertiser authentication."}],"paths":{"/api/v1/user/update-user-details":{"put":{"tags":["user-controller"],"summary":"Update User Details By uuid","operationId":"updateUserDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully update user details","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/user/update-profile-photo":{"put":{"tags":["user-controller"],"summary":"Update user profile photo","operationId":"updateProfile","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully retrieved podcaster details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PodcasterProfileTransfer"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/stripe-account/disconnect":{"put":{"tags":["stripe-acoount-controller"],"summary":"Disconnect User Stripe Account","operationId":"deactivateStripeAccount","responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully disconnect user stripe account","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/podcast-monetized/{monetized}":{"put":{"tags":["user-controller"],"summary":"mark all the podcast are monetized or not","operationId":"updateAllPodcastMonetized","parameters":[{"name":"monetized","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully retrieved updated podcast monetization status","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PodcasterProfileTransfer"}}}}}}},"/api/v1/user/bank-details":{"get":{"tags":["user-bank-details-controller"],"summary":"Get Bank Details","operationId":"getBankDetails","responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully retrieved bank details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserBankDetailsTransfer"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["user-bank-details-controller"],"summary":"Update Bank Details","operationId":"updateBankDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserBankDetailsTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully updated bank details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"post":{"tags":["user-bank-details-controller"],"summary":"Add Bank Details","operationId":"addBankDetails","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserBankDetailsTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully added bank details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/transcript":{"put":{"tags":["transcript-controller"],"summary":"Update transcript by uuid","operationId":"updateTranscript","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TranscriptTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully updated transcript by uuid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TranscriptUrlTransfer"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcasts/{id}":{"get":{"tags":["podcast-controller"],"summary":"Get podcast by id","operationId":"getPodcastById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully retrieved podcast information","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PodcastTransfer"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["podcast-controller"],"summary":"Update podcast by uuid","operationId":"updatePodcast","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePodcastRequestTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully update podcast","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["podcast-controller"],"summary":"Delete podcast","operationId":"deletePodcast","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully delete podcast","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcasts/{id}/podcast-monetized/{isMonetized}":{"put":{"tags":["podcast-controller"],"summary":"Update podcast monetization by podcastUuid","operationId":"updateMonetizedForSpecificPodcast","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"isMonetized","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully update podcast monetization status","content":{"*/*":{"schema":{"type":"string"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcasts/ratings":{"put":{"tags":["podcast-rating-controller"],"summary":"Podcast Rating","operationId":"podcastRating","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PodcastRatingTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcasts/published/{id}":{"put":{"tags":["podcast-controller"],"summary":"Update podcast by uuid when podcast is published","operationId":"updatePublishedPodcast","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePublishedPodcastRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully update podcast","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcast/author/{authorUuid}/subscribe/{subscribe}":{"put":{"tags":["podcast-author-controller"],"summary":"Update author subscribe/unsubscribe","description":"Update author subscribe/unsubscribe","operationId":"updateAuthorSubscribe","parameters":[{"name":"authorUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscribe","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Subscribed/Unsubscribed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcast/author/rating":{"put":{"tags":["podcast-author-controller"],"summary":"Update author rating","description":"Update author rating","operationId":"updateAuthorRating","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorRatingRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Author rating updated successfully","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/podcast/analytics/{podcastId}/subscribed/{subscribed}":{"put":{"tags":["podcast-analytics-controller"],"summary":"Update podcast subscribed/unsubscribe by podcast uuid","operationId":"updatePodcastAnalyticsSubscribed","parameters":[{"name":"podcastId","in":"path","required":true,"schema":{"type":"string"}},{"name":"subscribed","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully subscribe/unsubscribe podcast","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcast/analytics/{podcastId}/favorite/{favorite}":{"put":{"tags":["podcast-analytics-controller"],"summary":"Update podcast favorite by podcast uuid","operationId":"updatePodcastAnalyticsFavorite","parameters":[{"name":"podcastId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favorite","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Update favorite podcast","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/podcast-types/{id}":{"get":{"tags":["podcast-type-controller"],"description":"Podcast type information as per id","operationId":"getPodcastTypeById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully retrieved podcast type information","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["podcast-type-controller"],"description":"Update podcast type and set priority","operationId":"updatePodcastType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PodcastTypeTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["podcast-type-controller"],"operationId":"deletePodcast_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/listener/played":{"put":{"tags":["listener-controller"],"summary":"Update episode analytics played for non login user","operationId":"updateEpisodeAnalyticsPlayed","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EpisodeAnalyticsViewTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully retrieved view episode","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PodcastCategoryTransfer"}}}}}}},"/api/v1/episodes/{episodeUuid}":{"get":{"tags":["episode-controller"],"summary":"Get Episode By Uuid","operationId":"getEpisodeById","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully retrieved Episode by uuid","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EpisodeTransfer"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["episode-controller"],"summary":"Update Episode by uuid","operationId":"updateEpisode","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EpisodeRequestTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully updated Episode","content":{"*/*":{"schema":{"type":"string"}}}}}},"delete":{"tags":["episode-controller"],"summary":"Delete Episode by uuid","operationId":"deleteEpisode","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully delete Episode","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/episodes/{episodeUuid}/{status}":{"put":{"tags":["episode-controller"],"summary":"Update Status of Episode PUBLISH/SCHEDULE by uuid","operationId":"changeEpisodeStatus","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"status","in":"path","required":true,"schema":{"type":"string","enum":["DRAFT","ACCEPTED","PUBLISHED","SCHEDULED"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully updated Episode Status","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/episodes/audio-editor/{episodeUuid}":{"get":{"tags":["audio-editor-file-controller"],"summary":"Get audio track files by episodeId","operationId":"getEpisodeTrackList","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully retrieved updated episode audio files","content":{"*/*":{"schema":{"type":"string"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["audio-editor-file-controller"],"summary":"Save audio editor files","operationId":"saveEpisodeTracks","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudioEditorRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully saved episode audio files","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/episodes/analytics/{episodeUuid}/like/{like}":{"put":{"tags":["episode-analytics-controller"],"summary":"Like/Unlike episode","operationId":"updateEpisodeAnalyticsLikes","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"like","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/episodes/analytics/{episodeUuid}/download/{download}":{"put":{"tags":["episode-analytics-controller"],"summary":"Check episode downloaded","operationId":"updateEpisodeAnalyticsDownloaded","parameters":[{"name":"episodeUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"download","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/episodes/analytics/played":{"put":{"tags":["episode-analytics-controller"],"summary":"Update episode analytics played","operationId":"updateEpisodeAnalyticsPlayed_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EpisodeAnalyticsViewTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/categories/{id}":{"get":{"tags":["category-controller"],"description":"Get category by uuid","operationId":"getCategoryById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["category-controller"],"description":"Update category by uuid","operationId":"updateCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["category-controller"],"description":"Delete category by uuid","operationId":"deleteCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/update-track-audio-mark/{uuid}":{"put":{"tags":["admin-controller"],"summary":"upload track for audio mark by uuid","operationId":"updateTrackForAudioMark","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudioTrackMarkRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully updated track for audio mark","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/update-plan":{"put":{"tags":["admin-controller"],"summary":"Update user plan by admin","operationId":"updateUserPlan","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateActivePlanDetailsRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"404":{"description":"The resource you were trying to approve/reject is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully update user plan","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to approve/reject is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to approve/reject the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/update-plan-amount/{planUuid}":{"put":{"tags":["admin-controller"],"summary":"Update plan amount by admin","operationId":"upgradePlan","parameters":[{"name":"planUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"amount","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/reported-comment/{commentUuid}/{isApproved}":{"put":{"tags":["admin-controller"],"summary":"Approve reported comments on episodes","operationId":"approveReportedComment","parameters":[{"name":"commentUuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"isApproved","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"404":{"description":"The resource you were trying to approve/reject is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully approved reported comments on episodes","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to approve/reject is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to approve/reject the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/re-active/{emailId}":{"put":{"tags":["admin-controller"],"summary":"Reactive user by the role","operationId":"reActiveUserByRole","parameters":[{"name":"emailId","in":"path","required":true,"schema":{"type":"string"}},{"name":"role","in":"query","required":true,"schema":{"type":"string","enum":["ADMIN","PODCASTER","LISTENER","ADVERTISER"]}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully re-activated user","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/coupon/{uuid}":{"get":{"tags":["coupon-controller"],"operationId":"getCouponByUuid","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["coupon-controller"],"operationId":"updateCoupon","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CouponRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["coupon-controller"],"operationId":"deleteCoupon","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/coupon/pause/{isPause}/{uuid}":{"put":{"tags":["coupon-controller"],"operationId":"pauseCoupon","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"isPause","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/change-campaign-status":{"put":{"tags":["admin-controller"],"summary":"Enable or Disable campaign by admin","operationId":"changeCampaignStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignDisableRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/change-campaign-ad-status":{"put":{"tags":["admin-controller"],"summary":"activate or deactivate campaign ad-details by admin","operationId":"changeCampaignAdStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignDisableRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/block":{"put":{"tags":["admin-controller"],"summary":"Unblock/Block user by admin","operationId":"blockUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully blocked/unblocked listener","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/v1/admin/block/podcast":{"put":{"tags":["admin-controller"],"summary":"Unblock/Block podcast by admin with block reason","operationId":"disableOrEnablePodcast","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully blocked/unblocked podcast","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/admin/advertiser/plan/update-amount":{"put":{"tags":["advertiser-plan-controller"],"summary":"Update advertiser price by admin","operationId":"updatePrice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdvertiserPlanRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/plan/v1/{planUuid}":{"get":{"tags":["plan-controller"],"summary":"Get Plan by uuid","operationId":"getPlanByUuid","parameters":[{"name":"planUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully retrieve plan details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanRequest"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"put":{"tags":["plan-controller"],"summary":"Update Plan by the admin","operationId":"updatePlan","parameters":[{"name":"planUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlanRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["plan-controller"],"summary":"Delete Plan by the admin","operationId":"deletePlan","parameters":[{"name":"planUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/auth/podcaster/user-verify":{"put":{"tags":["Podcaster Authentication"],"summary":"Verify User using otp and set password for podcaster","operationId":"verifyPodcasterUser","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/auth/listener/user-verify":{"put":{"tags":["Listener Authentication"],"summary":"Verify User using otp and set password for podcaster","operationId":"verifyListenerUser","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/auth/advertiser/user-verify":{"put":{"tags":["Advertiser Authentication"],"summary":"Verify User using otp and set password for advertiser","operationId":"verifyPodcasterUser_1","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/ad-placement/v1/{uuid}":{"put":{"tags":["ad-placement-controller"],"description":"Update AdPlacement by uuid","operationId":"updateAdPlacement","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdPlacementTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"delete":{"tags":["ad-placement-controller"],"description":"Delete AdPlacement","operationId":"deleteAdPlacement","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/change/log-level":{"post":{"tags":["logger-controller"],"operationId":"testLogLevel","parameters":[{"name":"level","in":"query","required":true,"schema":{"type":"string"}},{"name":"loggerName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"OK"}}}},"/api/v1/users/verify/{verificationToken}":{"post":{"tags":["client-user-controller"],"summary":"Verify invited prodcaster if already registered","operationId":"sendInvite","parameters":[{"name":"verificationToken","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully verified invited prodcaster","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/users/validateInvite/{verificationToken}":{"post":{"tags":["client-user-controller"],"summary":"Validate invite with verificationToken and set password from the invite prodcaster mail","operationId":"validateInvite","parameters":[{"name":"verificationToken","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordRequestTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully verified invited prodcaster","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/users/resetPassword/{passwordVerificationToken}":{"post":{"tags":["client-user-controller"],"summary":"Reset password with passwordVerificationToken from the forget password mail","operationId":"resetPassword","parameters":[{"name":"passwordVerificationToken","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordRequestTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"type":"object"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"type":"object"}}}},"200":{"description":"Successfully reset password","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/users/forgotPassword":{"post":{"tags":["client-user-controller"],"summary":"Send forget password mail to the user","operationId":"forgotPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully sent forget password mail","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/stripe-account":{"get":{"tags":["stripe-acoount-controller"],"summary":"Get User Stripe Account","operationId":"getUserStripeAccount","responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully get User stripe account details for currently loggedin podcaster","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserStripeAccountTransfer"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}},"post":{"tags":["stripe-acoount-controller"],"summary":"Add User Stripe Account","operationId":"addUserStripeAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserStripeAccountRequestTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully added User stripe account","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/stripe-account/account-link":{"post":{"tags":["stripe-acoount-controller"],"summary":"Bank Account Onboarding Stripe","operationId":"generateAccountLink","responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"200":{"description":"Successfully generated account url","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/change-password":{"post":{"tags":["user-controller"],"summary":"Change user password","operationId":"changePassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordTransfer"}}},"required":true},"responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"413":{"description":"Payload Too Large","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"405":{"description":"Method Not Allowed","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"403":{"description":"Accessing the resource you were trying to reach is forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"200":{"description":"Successfully retrieved podcaster details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PodcasterProfileTransfer"}}}},"401":{"description":"You are not authorized to view the resource","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"404":{"description":"The resource you were trying to reach is not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/v1/user/admin-withdrawal-request":{"post":{"tags":["user-controller"],"summary":"Send Request Mail to admin for withdrawal amount from podcaster account","operationId":"sendRequestMailToAdmin","responses":{"400":{"description":"Bad Request","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorStatus"},{"type":"object","additionalProperties":{"type":"object"}}]}}}},"415":{"description":"Unsupported Media Type","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"406":{"description":"Not Acceptable","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"type":"object","additi
[...]
